#!/usr/bin/perl
#ENSG 番号で始まるファイル名を common name に変更します．
# perl NameChange.pl infile_nuc

use strict;
use warnings;

my $inFile = $ARGV[0];
my @inFileArray = ( );
my $outFile = "Out_".$inFile;

open(INFILE,"$inFile");
@inFileArray = <INFILE>;
close INFILE;

open(OUT,">$outFile");
foreach my $inFileLine (@inFileArray) {
  chomp($inFileLine);
  if($inFileLine =~ /^>/){

    if   ($inFileLine =~ />Ornithorhynchus_anatinus/)     {print OUT ">P001_Platypus\n";    } 
    elsif($inFileLine =~ />Monodelphis_domestica/)        {print OUT ">P002_Opossum\n";     } 
    elsif($inFileLine =~ />Macropus_eugenii/)             {print OUT ">P003_Wallaby\n";     } 
    elsif($inFileLine =~ />Echinops_telfairi/)            {print OUT ">P004_Tenrec\n";      } 
    elsif($inFileLine =~ />Procavia_capensis/)            {print OUT ">P005_Rock_hyrax\n";  } 
    elsif($inFileLine =~ />Loxodonta_africana/)           {print OUT ">P006_Elephant\n";    } 
    elsif($inFileLine =~ />Dasypus_novemcinctus/)         {print OUT ">P007_Armadillo\n";   } 
    elsif($inFileLine =~ />Choloepus_hoffmanni/)          {print OUT ">P008_Sloth\n";       } 
    elsif($inFileLine =~ />Erinaceus_europaeus/)          {print OUT ">P009_Hedgehog\n";    } 
    elsif($inFileLine =~ />Sorex_araneus/)                {print OUT ">P010_Common_shrew\n";} 
    elsif($inFileLine =~ />Tursiops_truncatus/)           {print OUT ">P011_Dolphin\n";     } 
    elsif($inFileLine =~ />Bos_taurus/)                   {print OUT ">P012_Cow\n";         } 
    elsif($inFileLine =~ />Sus_scrofa/)                   {print OUT ">P013_Pig\n";         } 
    elsif($inFileLine =~ />Vicugna_pacos/)                {print OUT ">P014_Alpaca\n";      } 
    elsif($inFileLine =~ />Equus_caballus/)               {print OUT ">P015_Horse\n";       } 
    elsif($inFileLine =~ />Canis_.*?familiaris/)             {print OUT ">P016_Dog\n";         } 
    elsif($inFileLine =~ />Felis_catus/)                  {print OUT ">P017_Cat\n";         } 
    elsif($inFileLine =~ />Pteropus_vampyrus/)            {print OUT ">P018_Megabat\n";     } 
    elsif($inFileLine =~ />Myotis_lucifugus/)             {print OUT ">P019_Microbat\n";    } 
    elsif($inFileLine =~ />Oryctolagus_cuniculus/)        {print OUT ">P020_Rabbit\n";      } 
    elsif($inFileLine =~ />Ochotona_princeps/)            {print OUT ">P021_Pika\n";        } 
    elsif($inFileLine =~ />Spermophilus_tridecemlineatus/){print OUT ">P022_Squirrel\n";    } 
    elsif($inFileLine =~ />Cavia_porcellus/)              {print OUT ">P023_Guinea_pig\n";  } 
    elsif($inFileLine =~ />Dipodomys_ordii/)              {print OUT ">P024_Kangaroo_rat\n";} 
    elsif($inFileLine =~ />Mus_musculus/)                 {print OUT ">P025_Mouse\n";       } 
    elsif($inFileLine =~ />Rattus_norvegicus/)            {print OUT ">P026_Rat\n";         } 
    elsif($inFileLine =~ />Tupaia_belangeri/)             {print OUT ">P027_Tree_shrew\n";  } 
    elsif($inFileLine =~ />Otolemur_garnettii/)           {print OUT ">P028_Bushbaby\n";    } 
    elsif($inFileLine =~ />Microcebus_murinus/)           {print OUT ">P029_Mouse_lemur\n"; } 
    elsif($inFileLine =~ />Tarsius_syrichta/)             {print OUT ">P030_Tarsier\n";     } 
    elsif($inFileLine =~ />Callithrix_jacchus/)           {print OUT ">P031_Marmoset\n";    } 
    elsif($inFileLine =~ />Macaca_mulatta/)               {print OUT ">P032_Rhesus\n";      } 
    elsif($inFileLine =~ />Pongo_pygmaeus/)               {print OUT ">P033_Orangutan\n";   } 
    elsif($inFileLine =~ />Gorilla_gorilla/)              {print OUT ">P034_Gorilla\n";     } 
    elsif($inFileLine =~ />Pan_troglodytes/)              {print OUT ">P035_Chimp\n";       } 
    elsif($inFileLine =~ />Homo_sapiens/)                 {print OUT ">P036_Human\n";       } 
    
    else {
      print OUT "$inFileLine\n";    
    }

  } else {
    print OUT "$inFileLine\n";    
  }
}
close OUT;
exit;

